The QtiPlot Handbook
Prev | Chapter 1. Introduction | Next

# Command Line Parameters

## Specify a File

When starting QtiPlot from the command prompt, you can supply the name of a project file:

    qtiplot file_name.qti

Other file formats are also accepted: .opj, .ogm, .ogw, .ogg for Origin projects, and .qti, qti.gz for QtiPlot projects.

The name can also refer to an ASCII file:

    qtiplot ASCII_file_name

In this latter case, a new "untitled" project will be created, containing a table with the ASCII data from the file, and a 2D plot of all columns as a function of the first column in the file. The user is responsible for properly formatting the ASCII file. The file will be read and interpreted using the current settings from the Import -> Import ASCII... command dialog. The default values of these settings are:

- the default field separator is ; but it can be changed in the Preferences... command dialog,

- all lines are read,

- the first line is used to name the columns,

- spaces at the end of the lines are not removed,

- spaces are not simplified.

## Command Line Options

Valid options are:

- -a or --about: show about dialog and exit

- -c or --console: show standalone scripting window

- -d or --default-settings: start QtiPlot with the default settings

- -h or --help: show command line options

- -l=XX or --lang=XX: start QtiPlot in language XX ('en', 'fr', 'de', ...)

- -m or --manual: show QtiPlot manual in a standalone window

- -v or --version: print QtiPlot version and release date

- -x or --execute: execute the script file given as argument

- -X: execute the script file given as argument without displaying the user interface. Warning: 2D plots are not correctly handled in this mode!

Prev | Home | Next
Introduction | Up | General Concepts and Terms